Transformers
============

.. automodule:: julearn.transformers
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.transformers

.. autosummary::
   :toctree: generated/
   :template: class.rst

    DropColumns
    ChangeColumnTypes
    SetColumnTypes
    FilterColumns
    CBPM
    JuColumnTransformer
    confound_remover.ConfoundRemover

Functions
---------

.. currentmodule:: julearn.transformers

.. autosummary::
   :toctree: generated/
   :template: function.rst

    list_transformers
    get_transformer
    register_transformer
    reset_transformer_register

Target Transformers
===================

.. automodule:: julearn.transformers.target
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.transformers.target

.. autosummary::
   :toctree: generated/
   :template: class.rst

    JuTransformedTargetModel
    JuTargetTransformer
    TargetConfoundRemover
    TransformedTargetWarning

Functions
---------

.. currentmodule:: julearn.transformers.target

.. autosummary::
   :toctree: generated/
   :template: function.rst

    get_target_transformer
    list_target_transformers
    register_target_transformer
    reset_target_transformer_register
